Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Suppress warning on is_readable for servers with open_basedir restrictions. #1

Merged
merged 1 commit into from

2 participants

@bobdenotter

Servers with open_basedir throw an error on this line:

if (is_readable('/dev/urandom') &&

This patch suppresses the error. The same fix has also made in the original PHPass. See here and here.

@bobdenotter bobdenotter referenced this pull request in bolt/bolt
Closed

Bolt breaks on servers with open_basedir. #398

@baldurrensch baldurrensch merged commit 94845c6 into from
@baldurrensch
Owner

Thank you!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on May 1, 2013
  1. @bobdenotter
This page is out of date. Refresh to see the latest.
Showing with 1 addition and 1 deletion.
  1. +1 −1  src/Hautelook/Phpass/PasswordHash.php
View
2  src/Hautelook/Phpass/PasswordHash.php
@@ -66,7 +66,7 @@ public function __construct($iteration_count_log2, $portable_hashes)
public function get_random_bytes($count)
{
$output = '';
- if (is_readable('/dev/urandom') &&
+ if (@is_readable('/dev/urandom') &&
($fh = @fopen('/dev/urandom', 'rb'))) {
$output = fread($fh, $count);
fclose($fh);
Something went wrong with that request. Please try again.